package com.palmnest.service.washcar.manager;

import com.palmnest.application.dto.ExtraServiceDto;
import com.palmnest.model.washcar.ExtraService;
import com.palmnest.service.GenericManager;

import java.util.List;

/**
 * 额外服务
 *
 * @author longmeizhen
 */
public interface ExtraServiceManager extends GenericManager<ExtraService, Long> {

	public ExtraService saveExtraService(ExtraServiceDto dto, String userId) throws Exception;

	public List<ExtraServiceDto> findList(Long setId) throws Exception;

	public Integer deleteExtra(Long id, String userId) throws Exception;

	public List<ExtraService> findByProSetId(Long proSetId) throws Exception;

	public List<ExtraService> findByProSetIdandNotIsOther(Long proSetId) throws Exception;
}
